#!/bin/sh
# ~/my-applications/bin/1stLine-2ndLine.sh (Chemin suggéré. | Suggested path.)
# 
# Objectif : réduire le nombre de doubles interlignes dans un fichier texte.
#
## Usage : 1stLine-2ndLine.sh fichier.txt (Utiliser autant de fois que nécessaire.)
#
## Explication -- Je n'ai pas trouvé d'utilitaire ou de commande pour seulement
# « RÉDUIRE le nombre d'interlignes » dans un fichier texte. Mais il existe plein 
# d'astuces pour toutes les éliminer. Alors voilà, ce script répond à un besoin.
#
# Si un fichier texte ne comporte aucune interligne, ou qu'il en comporte trop, 
# le texte devient difficile à lire. Il vaut la pein de conserver quelques 
# interlignes pour aider le lecteur àse concentrer sur le contenu. 
##########
# Goal: reduce the number of double spacings in a text file.
#
## Usage : 1stLine-2ndLine.sh file.txt (Run as many times as needed.)
#
## Explanation -- I have found no utility or command to simply "REDUCE the 
# number of line spacings" in a text file. But there are lots of tips if one 
# wants to totally eliminate them. So this script fills a need. 
#
# If a text file has no line spacings in it, or too many, the text becomes
# difficult to read. Some line spacings are worth keeping to help keep the
# the reader focused on the content. 
#
# © Christian L'Écuyer,Gatineau (Qc), Canada, 16 février 2018. GPL3
# (Alias musher0 [forum Puppy].) 
################# # https://opensource.org/licenses/GPL-3.0
#    This program is free software: you can redistribute it and/or modify it under the terms
#    of the GNU General Public License as published by the Free Software Foundation, either
#    version 3 of the License, or  (at your option) any later version.
#    	This program is distributed in the hope that it will be useful, but WITHOUT ANY
#    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
#    A PARTICULAR PURPOSE.  See the  GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License along with this
#   program.  If not, see <http://www.gnu.org/licenses/>.
##########
#	Ce programme est libre : vous pouvez le redistribuer ou modifier selon les termes de la
#   Licence Publique Générale GNU publiée par la Free Software Foundation (v. 3 ou toute
#   version ultérieure choisie par vous).
#		Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE
#   GARANTIE, ni explicite ni implicite, y compris des garanties de commercialisation ou
#   d'adaptation à un but spécifique. Pour plus	de détails, veuillez vous reporter au texte
#   officiel de cette licence à https://opensource.org/licenses/GPL-3.0, à sa traduction à
#	http://www.linux-france.org/article/these/gpl.html et, pour une explication en français,
#   à https://fr.wikipedia.org/wiki/Licence_publique_générale_GNU.
################ 
####
FilE="$1"
> $FilE.tmp
seq 1 `wc -l < $FilE` | while read first_line; read second_line 
do
	if [ "${#first_line}" -lt "2" -a "${#second_line}" -lt "2"  ];then
		echo "$first_line" >> $FilE.tmp
	else
    		echo "$first_line" >> $FilE.tmp
		echo "$second_line" >> $FilE.tmp
	fi
done < $FilE

